Permissions of Multiple Roles
Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Permissions and roles Estimated time: 0.00 hour

Target version:

Resolution: Wont fix Affected version: 2.2.3

Description
There are two roles:

1. RolA: issue visibiliti setting is "Issues created by or assigned to the user" and it has issue edit permissions.
2. RolB: issue visibiliti setting is "All non private issues" and it has issue view permissions, do not edit!

If an user has both of RolA and RolB roles result is:
The user can edit all non private issues.

In my opinion, this is not usual.

Recent Discuss: http://www.redmine.org/boards/1/topics/36188?r=36236#message-36236

Related issues:
Related to Redmine - Feature #13422: "Edit assigned user" permission for issues Closed

History

#1 - 2013-03-10 19:49 - Adnan Topgu

There is a need to issue editing only by assigned user. This is possible fixing this issue or adding new permission like as "edit assigned issue" etc.
Please write your opinions.
Regards

#2 - 2020-04-30 15:28 - Go MAEDA
Adnan Topgu wrote:
There are two roles:

1. RolA: issue visibiliti setting is "Issues created by or assigned to the user" and it has issue edit permissions.
2. RolB: issue visibiliti setting is "All non private issues" and it has issue view permissions, do not edit!

If an user has both of RolA and RolB roles result is:

The user can edit all non private issues.

| think it is expected behavior. The RedmineRoles page says that "If a member has multiple roles in a project, the permissions applied to the member
is the combination of all roles' permissions".

#3 - 2020-11-04 16:38 - Matthias Lehmann
Go MAEDA wrote:
Adnan Topgu wrote:
There are two roles:

1. RolA: issue visibiliti setting is "Issues created by or assigned to the user" and it has issue edit permissions.
2. RolB: issue visibiliti setting is "All non private issues" and it has issue view permissions, do not edit!

If an user has both of RolA and RolIB roles result is:
The user can edit all non private issues.

| think it is expected behavior. The RedmineRoles page says that "If a member has multiple roles in a project, the permissions applied to the
member is the combination of all roles' permissions".
That probably depends on the interpretation of "combination". As an example, if one role contains the numbers 10 to 12 and the second role the
numbers the numbers 15 to 17, | would expect the combination of both roles to include 10,11,12,15,16,17. You seem to suggest, that the combination
includes 10 through to 17, which | personally wouldn't expect. In the specific example brought up by Adnan | would expect the combination to be
"view all issues and edit the ones created by or assigned to the user", not "view and edit all issues".

#4 - 2020-11-30 10:17 - Go MAEDA
Matthias Lehmann wrote:
Go MAEDA wrote:
Adnan Topgu wrote:
There are two roles:

1. RolA: issue visibiliti setting is "Issues created by or assigned to the user" and it has issue edit permissions.
2. RolB: issue visibiliti setting is "All non private issues" and it has issue view permissions, do not edit!

If an user has both of RolA and RolB roles result is:
The user can edit all non private issues.

| think it is expected behavior. The RedmineRoles page says that "If a member has multiple roles in a project, the permissions applied to
the member is the combination of all roles' permissions”.

That probably depends on the interpretation of "combination”. As an example, if one role contains the numbers 10 to 12 and the second role the
numbers the numbers 15 to 17, | would expect the combination of both roles to include 10,11,12,15,16,17.

Redmine behaves exactly like that.

#5 - 2021-06-27 23:51 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Wont fix
